List imports
curl --request GET \
--url https://api.managem.co.uk/seller/imports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.managem.co.uk/seller/imports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.managem.co.uk/seller/imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"status": "RUNNING",
"total": 1,
"successful": 1,
"failed": 1,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]Imports
List imports
List import jobs for the authenticated seller.
Use this endpoint to power import history tables and job monitoring screens.
Query behavior:
- Supports page/pageSize pagination.
- Supports sorting by
createdAtorupdatedAtand sort direction.
Response behavior:
- Returns summary records only (status and high-level counters).
- Includes only imports belonging to the authenticated seller.
GET
/
seller
/
imports
List imports
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 20Available options:
createdAt Available options:
asc Response
List of seller import summaries
Available options:
RUNNING Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0